Bug 1299744 - [UI] Add Object Storage - wrong available size (768 GB)
[UI] Add Object Storage - wrong available size (768 GB)
Status: VERIFIED
Product: Red Hat Storage Console
Classification: Red Hat
Component: UI (Show other bugs)
2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2
Assigned To: sankarshan
Daniel Horák
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-19 02:42 EST by Daniel Horák
Modified: 2016-07-22 02:57 EDT (History)
3 users (show)

See Also:
Fixed In Version: rhscon-ceph-0.0.23-1.el7scon.x86_64, rhscon-core-0.0.24-1.el7scon.x86_64, rhscon-ui-0.0.39-1.el7scon.noarch
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add Object Storage - available size (38.51 KB, image/png)
2016-01-19 02:42 EST, Daniel Horák
no flags Details

  None (edit)
Description Daniel Horák 2016-01-19 02:42:50 EST
Created attachment 1116069 [details]
Add Object Storage - available size

Description of problem:
  On page *Add Object Storage*

Version-Release number of selected component (if applicable):
  rhscon-ceph-0.0.4-0.1.alpha1.el7.x86_64
  rhscon-core-0.0.6-0.1.alpha1.el7.x86_64
  rhscon-ui-0.0.6-0.1.alpha1.el7.noarch

How reproducible:
  100%

Steps to Reproduce:
1. Prepare few nodes for cluster,
2. accept all nodes,
3. create new cluster,
4. go to the "Add Storage" -> "Object Storage" -> "Add Object Storage" page.

Actual results:
  There is information "768 GB available" on the page, which is not correct (it is teh same for any number of nodes and any size of disks).

Expected results:
  Displayed available size should be correct.

Additional info:
  See screenshoot.
Comment 2 Matt Carrano 2016-03-11 16:12:28 EST
This is not correct and should be updated per latest Add Storage designs.  https://docs.google.com/a/redhat.com/presentation/d/1C8Duj3itj2WuJL8o7ikY8IkgGqxsdZH_3uT5mawQ2-A/edit?usp=sharing
Comment 4 Daniel Horák 2016-07-22 02:57:37 EDT
Tested and verified on USM Server (RHEL 7.2):
  rhscon-ui-0.0.48-1.el7scon.noarch
  rhscon-core-selinux-0.0.34-1.el7scon.noarch
  rhscon-ceph-0.0.33-1.el7scon.x86_64
  rhscon-core-0.0.34-1.el7scon.x86_64

The "Storage Profile" section correctly reports the number of OSDs which is accordingly to the design document.

>> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.